/*******************************************************************************
Copyright © 2024 Sebastian Roith

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.TASK = {
    // Aufgabenstellung (HTML erlaubt)
    "task": "Miss die beschriebenen Größen so exakt wie möglich und trage dein Messergebnis unten ein. Baue den Versuch erst ab, wenn du dazu aufgefordert wirst.",

    // Bedienungshinweise unter Aufgabenstellung (HTML erlaubt)
    "howtouse": "Verbinde Anschlüsse, indem du sie nacheinander anklickst. So kannst du auch vorhandene Verbindungen entfernen. Bediene das Multimeter durch Anklicken der Aufschrift für den gewünschten Messbereich.",

    // Wie viel von 100 Punkten wird pro Fehler abgezogen?
    "fineStep": 10,

    // Messmodi des Multimeters (falls vom Standard abweichend)
    "modes": null,

    // Array of digit information; each digit information is array of indizes of segments
    "digits": [[0], [23, 25, 28, 29, 27, 24, 26, 30], [15, 17, 20, 21, 19, 16, 18, 22], [7, 9, 12, 13, 11, 8, 10, 14], [1, 3, 6, 31, 5, 2, 4]],

    // Interne Bezeichnungen der Anschlüsse
    "connectors": [
        "Multimeteranschluss 10A⎓", "Multimeteranschluss VΩmA", "Multimeteranschluss COM",
        "Steckfeder oben links, Loch 1", "Steckfeder oben links, Loch 3", "Steckfeder oben links, Loch 4",
        "Steckfeder unten links, Loch 1", "Steckfeder unten links, Loch 3", "Steckfeder unten links, Loch 4",
        "Steckfeder oben rechts, Loch 1", "Steckfeder oben rechts, Loch 2", "Steckfeder oben rechts, Loch 3",
        "Steckfeder unten rechts, Loch 1", "Steckfeder unten rechts, Loch 2", "Steckfeder unten rechts, Loch 3"
    ],

    // Intern verbundene Anschlüsse
    "internalConnected": [
        ["Steckfeder oben links, Loch 1", "Steckfeder oben links, Loch 3", "Steckfeder oben links, Loch 4"],
        ["Steckfeder unten links, Loch 1", "Steckfeder unten links, Loch 3", "Steckfeder unten links, Loch 4"],
        ["Steckfeder oben rechts, Loch 1", "Steckfeder oben rechts, Loch 2", "Steckfeder oben rechts, Loch 3"],
        ["Steckfeder unten rechts, Loch 1", "Steckfeder unten rechts, Loch 2", "Steckfeder unten rechts, Loch 3"]
    ],

    // Anfangs bereits verbundene Anschlüsse
    "connected": [
        {
            // Interne Bezeichnungen der beiden verbundenen Anschlüsse
            "from": "Steckfeder oben links, Loch 4",
            "to": "Steckfeder oben rechts, Loch 1",

            // Farbe des Verbindungskabels
            "color": "#3465a4"
        },
        { "from": "Steckfeder unten links, Loch 4", "to": "Steckfeder unten rechts, Loch 1", "color": "#3465a4" }
    ],

    // Möglichkeit anbieten, die ursprüngliche Schaltung wiederherzustellen
    "allowReset": true,

    // Zufallswerte
    "randomValues": [
        {
            // Interner Name des Zufallwertes
            "name": "U_Bat",

            // Soll Wert für jede Verwendung neu berechnet werden?
            "floating": false,

            // Welcher Wert aus anderer Quelle (Benutzereingabe, Verbindungen, …) soll übernommen werden?
            "import": "",

            // Erwartungswert der Größe
            "mean": 4.500,

            // Schrittweite der Abweichung
            "step": 0.001,

            // Maximale Abweichung
            "maxdiff": 0.099,

            // Werte statt annähernd gaußförmig linear verteilen?
            "linear": true,

            // Nicht erlaubte Werte
            "exclude": []
        },
        { "name": "R_W", "floating": false, "mean": 330, "maxdiff": 16, "step": 0.1 },
        { "name": "U_open", "floating": true, "mean": 0, "step": 0.0001, "maxdiff": 0.04999 },
        { "name": "input", "import": "input" },
        { "name": "connections", "import": "countConnections" },
        { "name": "gemessen", "import": "display" }
    ],

    // Regeln für die Simulation, die nacheinander abgearbeitet werden
    "simulate": [
        // Einträge werden solange abgearbeitet, wie alle bisherigen erfüllt sind
        [
            {
                // Art der Regel
                "type": "connected",

                // Erwarteter Wert
                "value": "Steckfeder oben rechts, Loch 1",

                // Ggf. zweiter erwarteter Wert
                "to": "Steckfeder unten rechts, Loch 1",

                // Regel invertieren?
                "inverted": false
            },
            { "type": "destroy", "value": "die Batterie" },
            { "type": "return", "value": "false" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Multimeteranschluss COM" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Multimeteranschluss COM" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "return", "value": "U_Bat" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "return", "value": "U_Bat" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "return", "value": "-U_Bat" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "return", "value": "-U_Bat" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten links, Loch 3" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten links, Loch 3" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben links, Loch 3" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben links, Loch 3" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE },
            { "type": "return", "value": "U_open" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "destroy", "value": "die Batterie" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "destroy", "value": "die Batterie" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "destroy", "value": "das Multimeter" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "destroy", "value": "das Multimeter" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Multimeteranschluss COM" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Multimeteranschluss COM" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Steckfeder unten links, Loch 3", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "return", "value": "U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Steckfeder unten links, Loch 3", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "return", "value": "U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Steckfeder unten links, Loch 3", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "return", "value": "-U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Steckfeder unten links, Loch 3", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "return", "value": "-U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Steckfeder oben links, Loch 3", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "return", "value": "U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Steckfeder oben links, Loch 3", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "return", "value": "U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Steckfeder oben links, Loch 3", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "return", "value": "-U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Steckfeder oben links, Loch 3", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "return", "value": "-U_Bat / R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "destroy", "value": "das Multimeter" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "destroy", "value": "das Multimeter" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "destroy", "value": "das Multimeter" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder unten rechts, Loch 2" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
            { "type": "destroy", "value": "das Multimeter" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Multimeteranschluss COM" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Multimeteranschluss COM" },
            { "type": "return", "value": "0" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben links, Loch 3" },
            { "type": "return", "value": "R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder unten links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben links, Loch 3" },
            { "type": "return", "value": "R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten links, Loch 3" },
            { "type": "return", "value": "R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "connected", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben links, Loch 3" },
            { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten links, Loch 3" },
            { "type": "return", "value": "R_W" }
        ],
        [
            { "type": "mode", "value": DigitalMultimeter.MEASURE_RESISTANCE },
            { "type": "return", "value": "Infinity" }
        ],
        [
            { "type": "return", "value": false }
        ]
    ],

    // Beschreibung der einzelnen durchzuführenden Messungen
    "levels": [
        {
            "autosubmit": false,
            "html": "Elektrischer Unterschied zwischen Widerstandanschlüssen: ",
            "input": "text",
            "unit": "",
            "check": [
                [
                    { "type": "mode", "value": DigitalMultimeter.MEASURE_VOLTAGE, "inverted": true  },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Falscher Messbereich" }
                ],
                [
                    { "type": "connectedExternal", "value": "Steckfeder oben rechts, Loch 1", "to": "Steckfeder oben links, Loch 4", "inverted": true },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Schaltung unnötigerweise verändert" }
                ],
                [
                    { "type": "connectedExternal", "value": "Steckfeder unten rechts, Loch 1", "to": "Steckfeder unten links, Loch 4", "inverted": true },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Schaltung unnötigerweise verändert" }
                ],
                [
                    { "type": "evaluate", "value": "connections > 4" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Unnötig viele Kabel" }
                ],
                [
                    { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder oben rechts, Loch 2" },
                    { "type": "message", "value": "Schließe das Multimeter besser so an, dass du positive Werte erhältst" },
                ],
                [
                    { "type": "connected", "value": "Multimeteranschluss VΩmA", "to": "Steckfeder oben rechts, Loch 2", "inverted": true },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Verbinde den Batterieanschluss + mit dem Multimeteranschluss VΩmA" }
                ],
                [
                    { "type": "connected", "value": "Multimeteranschluss COM", "to": "Steckfeder unten rechts, Loch 2", "inverted": true },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Verbinde den Batterieanschluss - mit dem Multimeteranschluss COM" }
                ],
                [
                    { "type": "connectedExternal", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben rechts, Loch 2" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Verwende den Multimeteranschluss 10A⎓ nur, wenn wirklich nötig" }
                ],
                [
                    { "type": "unit", "value": "" },
                    { "type": "message", "value": "Gib zuerst deinen Messwert ein", "to": ScoTools.MSGTYPE_INFO }
                ],
                [
                    { "type": "unit", "value": "1", "to": false },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Die Einheit des Messwertes fehlt" }
                ],
                [
                    { "type": "unit", "value": "V", "to": false, "inverted": true },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Die Einheit des Messwertes kann nicht stimmen" }
                ],
                [
                    { "type": "evaluate", "value": "input <> gemessen" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert weicht von der Multimeteranzeige ab" }
                ],
                [
                    { "type": "evaluate", "value": "#input < #gemessen" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist unnötigerweise ungenauer als die Multimeteranzeige" }
                ],
                [
                    { "type": "evaluate", "value": "#input > #gemessen" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist genauer als die aktuelle Multimeteranzeige" }
                ],
                [
                    { "type": "evaluate", "value": "input <> U_Bat" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist falsch" }
                ],
                [
                    { "type": "evaluate", "value": "#input < 2" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist unnötig ungenau" }
                ],
                [
                    { "type": "leveldone", "value": true }
                ]
            ]
        },
        {
            "autosubmit": false,
            "html": "Elektrische Intensität durch den Widerstand: ",
            "input": "text",
            "unit": "",
            "check": [
                [
                    { "type": "mode", "value": DigitalMultimeter.MEASURE_CURRENT, "inverted": true  },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Falscher Messbereich" }
                ],
                [
                    { "type": "evaluate", "value": "gemessen < 0" },
                    { "type": "message", "value": "Schließe das Multimeter besser so an, dass du positive Werte erhältst" },
                ],
                [
                    { "type": "connectedExternal", "value": "Multimeteranschluss 10A⎓", "to": "Steckfeder oben rechts, Loch 2" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Verwende den Multimeteranschluss 10A⎓ nur, wenn wirklich nötig" }
                ],
                [
                    { "type": "unit", "value": "" },
                    { "type": "message", "value": "Gib zuerst deinen Messwert ein", "to": ScoTools.MSGTYPE_INFO }
                ],
                [
                    { "type": "unit", "value": "1", "to": false },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Die Einheit des Messwertes fehlt" }
                ],
                [
                    { "type": "unit", "value": "A", "to": false, "inverted": true },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Die Einheit des Messwertes kann nicht stimmen" }
                ],
                [
                    { "type": "evaluate", "value": "input <> gemessen" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert weicht von der Multimeteranzeige ab" }
                ],
                [
                    { "type": "evaluate", "value": "#input < #gemessen" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist unnötigerweise ungenauer als die Multimeteranzeige" }
                ],
                [
                    { "type": "evaluate", "value": "#input > #gemessen" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist genauer als die aktuelle Multimeteranzeige" }
                ],
                [
                    { "type": "evaluate", "value": "input <> U_Bat / R_W" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist falsch" }
                ],
                [
                    { "type": "evaluate", "value": "#input < 5" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Dein Messwert ist unnötiger ungenau" }
                ],
                [
                    { "type": "evaluate", "value": "connections > 3" },
                    { "type": "fine", "value": 1 },
                    { "type": "message", "value": "Unnötig viele Kabel" }
                ],
                [
                    { "type": "leveldone", "value": true }
                ]
            ]
        },
        {
            "autosubmit": true,
            "html": "Multimeter ausschalten",
            "check": [
                [
                    { "type": "mode", "value": DigitalMultimeter.MEASURE_OFF },
                    { "type": "leveldone", "value": true }
                ]
            ]
        }
    ]
};

window.TASK.svg = '';
